%include        'c:\jh\sltca_sas_debug\sltca.sas';
%include        'c:\jh\sltca_sas_debug\TAUMacro.sas';
%include        'c:\jh\sltca_sas_debug\EM_iter.sas';
%include        'c:\jh\sltca_sas_debug\WGEEmacro.sas';
LIBNAME input   'c:\jh\sltca_sas_debug';
LIBNAME results 'c:\jh\sltca_sas_debug\Results';

* need these formats so that SAS can properly set the reference value in the 
   polytomous logistic regression model;
proc format;
    value class_f 1='1' 2='2' 3='3' 4='4' 5='5' 6='6' 7='7' 8='8' 9='9';
run;

%sltca(runid=1class,seed=13267,num_class=1,ref=1,dataset=input.finald2r1_weight,subjectid=id,time=time,
       features= y1 y2 y3 y4 y5 y6,
       dist= POI POI BIN BIN NOR NOR,
       covx=gender,weight=ipw,max_EM_iter=50,initial_set=6034,boundcoef=-4,
       boundprob=0.01,stop_crit=1,eps=0.005,trace=1,show_output=0,erase_log=0);

%sltca(runid=2class_ref1,seed=13267,num_class=2,ref=1,dataset=input.finald2r1_weight,subjectid=id,time=time,
       features= y1 y2 y3 y4 y5 y6,
       dist= POI POI BIN BIN NOR NOR,
       covx=gender,weight=ipw,max_EM_iter=50,initial_set=50,boundcoef=-4,
       boundprob=0.01,stop_crit=1,eps=0.005,trace=1,show_output=0,erase_log=0);

%sltca(runid=2class_ref2,seed=13267,num_class=2,ref=2,dataset=input.finald2r1_weight,subjectid=id,time=time,
       features= y1 y2 y3 y4 y5 y6,
       dist= POI POI BIN BIN NOR NOR,
       covx=gender,weight=ipw,max_EM_iter=50,initial_set=50,boundcoef=-4,
       boundprob=0.01,stop_crit=1,eps=0.005,trace=1,show_output=0,erase_log=0);

%sltca(runid=2class_crit2,seed=13267,num_class=2,ref=1,dataset=input.finald2r1_weight,subjectid=id,time=time,
       features= y1 y2 y3 y4 y5 y6,
       dist= POI POI BIN BIN NOR NOR,
       covx=gender,weight=ipw,max_EM_iter=50,initial_set=50,boundcoef=-4,
       boundprob=0.01,stop_crit=2,eps=0.005,trace=1,show_output=0,erase_log=0);

%sltca(runid=3class_ref1,seed=13267,num_class=3,ref=1,dataset=input.finald2r1_weight,subjectid=id,time=time,
       features= y1 y2 y3 y4 y5 y6,
       dist= POI POI BIN BIN NOR NOR,
       covx=gender,weight=ipw,max_EM_iter=50,initial_set=75,boundcoef=-4,
       boundprob=0.01,stop_crit=1,eps=0.01,trace=1,show_output=0,erase_log=0);

%sltca(runid=3class_ref2,seed=13267,num_class=3,ref=2,dataset=input.finald2r1_weight,subjectid=id,time=time,
       features= y1 y2 y3 y4 y5 y6,
       dist= POI POI BIN BIN NOR NOR,
       covx=gender,weight=ipw,max_EM_iter=50,initial_set=75,boundcoef=-4,
       boundprob=0.01,stop_crit=1,eps=0.01,trace=1,show_output=0,erase_log=0);

%sltca(runid=3class_ref3,seed=13267,num_class=3,ref=3,dataset=input.finald2r1_weight,subjectid=id,time=time,
       features= y1 y2 y3 y4 y5 y6,
       dist= POI POI BIN BIN NOR NOR,
       covx=gender,weight=ipw,max_EM_iter=50,initial_set=75,boundcoef=-4,
       boundprob=0.01,stop_crit=1,eps=0.01,trace=1,show_output=0,erase_log=0);

